theAyconic1's blog

By theAyconic1, history, 2 weeks ago, In English

Hi everyone,

I have been in a dilemma recently. During my college days I was actively engaged with discrete maths and used to practice it admittedly a bit irregularly. Then I was introduced to CP last year. I started with leetcode and soon I started getting a hang of everything then moved to codeforces. At the same time last year, chess was rising in popularity and I got introduced to Levy's channel aka GothamChess. I had never given much thought to chess before so watching his game analysis were an eye opener as to how fascinating the world of chess is. My interest has only grown since then.

I am at a point where I want to specialize and become really good at one of them but I am facing difficulty choosing one of them. I have confidence in CP and math as I know how things are done there, I understand proofs and I know what questions to ask when solving a problem. This element of confidence is at the moment missing in chess. I have not yet become comfortable in the field. I have heard that chess is also a lot of memorization when you get good and there is almost no place for creativity which bothers me. Also since I am planning to specialize I want to know does chess become boring after a few years since the starting position is always the same? This is never the case with CP as it always gives variety and I have seen some Project Euler problems which are baffling too. Personally I love chess because of its rich tactics and the feeling of a genius fight and insane brilliant moves. My rating on chess.com is 1300. Can you guys give some insight and tips that could help me make a decision? I would also like to mention that I am 25 years old and I work as a software engineer in a company.Age is not a problem for me tho. I am okay with starting late.

Full text and comments »

  • Vote: I like it
  • -19
  • Vote: I do not like it

By theAyconic1, 11 months ago, In English

Hi Everyone,

I gave my first ever contest on codeforces recently which was Codeforces Educational Round 151 and I am really happy to become rated. The problems felt really good, I was able to solve A,B and C during the contest and later I was able to upsolve D. I also placed 2530. Since this was my first contest here I would like to make it special by thanking the creators of this round namely adedalic , BledDest , Neon and awoo with all my heart via this blog. Thank you so much guys, keep up the good work !

Full text and comments »

  • Vote: I like it
  • +50
  • Vote: I do not like it

By theAyconic1, history, 14 months ago, In English

Yesterday I wrote a blog on the topic "Stack solution to best time to buy and sell stock 4" and it has been met with downvotes. I request the codeforces community not to downvote it just because I am unrated/lower-rated because it has a few demerits, namely-

1. If someone is genuinly confused about the stack solution then they may find it hard to believe my blog by seeing the downvotes and may not even go through the trouble of even reading it.

2. This blog is also my first ever blog on the internet and its really demotivating if it gets disliked for no good reason.

If there is something wrong with the blog, tell me and I will correct it. If there is something fundamentally wrong with my understanding which makes the whole blog incorrect then tell me and I will remove it but dont just go about blindly downvoting without even going through the trouble of reading it. If you dont understand the blog completely then its fine but it doesnt necessarily make the blog useless. Try solving the problem on your own then come again at a later time to understand it. I can give you 75% of the picture but the rest 25% effort you have to do it by yourself to convince your mind that the solution indeed is okay and working. The downvotes option is for useless or offensive blogs so use it wisely. Countless top rated problem solvers have said one should not care about the rating, just enjoy learning concepts and solve problems and yet there are many who downvote/upvote by just looking at the rating no matter what/how good the contents of the blog are.

Full text and comments »

  • Vote: I like it
  • +6
  • Vote: I do not like it

By theAyconic1, 14 months ago, In English

The problem statement can be referred from here. In short you are given an array "prices" and you need to determine the maximum profit one can earn by doing atmost k trades. You cannot buy a stock unless you have sold the previous one. The dynamic programming solution to this is well known and solves the problem in O(nk) time but did you know a stack+heap solution to this also exists that solves the problem in O(n+nlogk) time? This second solution is not as famous and I have only ever managed to find 2 or 3 articles explaining the solution and that too were not very clear and full of symbols instead of a visual explanation. So here in this article I will try to explain this solution as clearly as I can.

Full text and comments »

  • Vote: I like it
  • +8
  • Vote: I do not like it